> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opensink.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Agent Session Input Request

> Submit a response to resolve an input request



## OpenAPI

````yaml api-reference/openapi.json post /api/v1/agent-session-input-requests/{id}/resolve
openapi: 3.0.0
info:
  title: OpenSink API
  description: API documentation for OpenSink
  version: 1.0.0
servers:
  - url: https://api.opensink.com
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: Sink
    description: Sink management endpoints
  - name: Sink Item
    description: Sink item endpoints
  - name: Cron Job
    description: Cron job scheduling endpoints
  - name: Cron Job Run
    description: Cron job execution history
  - name: Agent
    description: Agent management endpoints
  - name: Agent Config
    description: Agent configuration endpoints
  - name: Agent Session
    description: Agent session endpoints
  - name: Agent Session Input Request
    description: Agent session input request endpoints
  - name: Agent Session Activity
    description: Agent session activity log endpoints
paths:
  /api/v1/agent-session-input-requests/{id}/resolve:
    post:
      tags:
        - Agent Session Input Request
      summary: Resolve Agent Session Input Request
      description: Submit a response to resolve an input request
      operationId: resolveAgentSessionInputRequest
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                response:
                  type: object
                  additionalProperties: true
              required:
                - response
        required: true
      responses:
        '200':
          description: An input request from an agent session
          content:
            application/json:
              schema:
                type: object
                description: An input request from an agent session
                properties:
                  id:
                    type: string
                    format: uuid
                    description: Unique identifier
                  session_id:
                    type: string
                    format: uuid
                    description: Parent session ID
                  agent_id:
                    type: string
                    format: uuid
                    description: Parent agent ID
                  workspace_id:
                    type: string
                    format: uuid
                    description: Workspace ID
                  key:
                    type: string
                    maxLength: 255
                    description: Stable identifier for the agent
                  title:
                    type: string
                    maxLength: 255
                    description: Short title displayed in the list
                  message:
                    type: string
                    description: Human-readable explanation shown in UI
                  schema:
                    type: object
                    additionalProperties: true
                    description: JSON Schema describing expected input
                  response:
                    type: object
                    additionalProperties: true
                    nullable: true
                    description: User-provided response
                  status:
                    type: string
                    enum:
                      - pending
                      - resolved
                    description: Request status
                  created_at:
                    type: string
                    format: date-time
                    description: Creation timestamp
                  resolved_at:
                    type: string
                    format: date-time
                    nullable: true
                    description: Resolution timestamp
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication

````